import dataclasses
from datetime import datetime


@dataclasses.dataclass
class Peer:
    # public asymmetric key
    public_key: bytes = dataclasses.field()

    # is the peer a master
    master: bool = dataclasses.field()

    # when did the peer last communication with us occurred
    last_interaction: datetime = dataclasses.field(default_factory=datetime.now)
